crossable-class {Rgb} | R Documentation

## Class `"crossable"`

### Description

Reference classes extending this virtual class must have a `slice` method, as a generic `cross` method based on it is provided.

Its only purpose is currently to add the `cross` method to `"track.table"`, as `"sliceable"` does not guarantee that `slice` returns a data.frame as `crossable` needs one.

### Extends

Class `sliceable`, directly.
Class `drawable`, by class `sliceable`, distance 2.

All reference classes extend and inherit methods from `envRefClass`.

### Fields

The following fields are inherited (from the corresponding class):

- name (drawable)

- parameters (drawable)

### Methods

`cross(annotation, colname = , type = , fuzziness = , maxElements = , location = , precision = , quiet = )`:

  Add a new column computed from overlaps with an other crossable object.
  - annotation : other crossable object to compute overlap with.
  - colname : single character value, the name of the new column to add to .self. If NULL or NA, the result will be returned rather than added to .self.
  - type : single character value, either :
  'cover', to compute coverage of 'annotation' elements for each .self element
  'count', to count 'annotation' elements overlapping each .self element
  'cytoband', to get cytogenetic coordinates from a cytoband annotation track
  an 'annotation' column name, to list 'annotation' elements overlapping each .self element
  - fuzziness : single integer value, to be added on each side of .self elements when computing overlaps.
  - maxElements : single integer value, when more overlaps are found, lists are replaced by counts. Can be NA to disable this behavior.
  - location : character vector, the 'chrom' / 'start' / 'end' .self columns to use for annotation.
  - precision : single integer value from 1 to 4, amount of digits to consider in banding (type='cytoband').
  - quiet : single logical value, wether to throw progression messages or not.

The following methods are inherited (from the corresponding class):

- callParams (drawable)

- callSuper (envRefClass)

- check (drawable)

- chromosomes (drawable)

- copy (envRefClass)

- defaultParams (sliceable)

- draw (sliceable)

- export (envRefClass)

- field (envRefClass)

- fix.param (drawable)

- getChromEnd (sliceable)

- getClass (envRefClass)

- getName (drawable)

- getParam (drawable)

- getRefClass (envRefClass)

- import (envRefClass)

- initFields (envRefClass)

- initialize (drawable)

- setName (drawable)

- setParam (drawable)

- show (sliceable)

- slice (sliceable)

- trace (envRefClass)

- untrace (envRefClass)

- usingMethods (envRefClass)

### Author(s)

Sylvain Mareschal

### See Also

`drawable`, `sliceable`, `track.table`, `cghRA.array`

[Package Rgb version 1.6.1 Index]